%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global module_name json-parse-better-errors

Name:           nodejs-%{module_name}
Version:        1.0.2
Release:        2%{?dist}
Summary:        JSON.parse with context information on error

License:        MIT
URL:            https://github.com/zkat/json-parse-better-errors
Source0:        https://github.com/zkat/%{module_name}/archive/v%{version}.tar.gz#/%{module_name}-v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nyc)
BuildRequires:  npm(standard)
BuildRequires:  npm(standard-version)
BuildRequires:  npm(tap)
BuildRequires:  npm(weallbehave)
BuildRequires:  npm(weallcontribute)
%endif

%description
This is a Node.js library for getting nicer errors out of JSON.parse(),
including context and position of the parse errors.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js appveyor.yml %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap -J --coverage test/*.js
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE.md
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- Initial packaging

